Mandrake Linux Security Advisory : libexif (MDKSA-2005:064)

Low Nessus Plugin ID 17670


The remote Mandrake Linux host is missing one or more security updates.


A buffer overflow was discovered in the way libexif parses EXIF tags.
An attacker could exploit this by creating a special EXIF image file which could cause image viewers linked against libexif to crash.

The updated packages have been patched to correct these issues.


Update the affected packages.

Plugin Details

Severity: Low

ID: 17670

File Name: mandrake_MDKSA-2005-064.nasl

Version: $Revision: 1.15 $

Type: local

Published: 2005/04/01

Modified: 2013/05/31

Dependencies: 12634

Risk Information

Risk Factor: Low


Base Score: 2.6

Vector: CVSS2#AV:N/AC:H/Au:N/C:N/I:N/A:P

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:lib64exif9, p-cpe:/a:mandriva:linux:lib64exif9-devel, p-cpe:/a:mandriva:linux:libexif9, p-cpe:/a:mandriva:linux:libexif9-devel, cpe:/o:mandrakesoft:mandrake_linux:10.0, cpe:/o:mandrakesoft:mandrake_linux:10.1

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Patch Publication Date: 2005/03/31

Reference Information

CVE: CVE-2005-0664

MDKSA: 2005:064